Fill AnyAmount Invoice with Client Info
This endpoint fills an AnyAmount invoice with client's info — email address and payment asset (if not pre-defined by merchant during creation).
/api/invoices/v1/unlimited/%invoice_id%/proceedAuth: Not RequiredAuthorization is not required as the invoice is provided to a non-registered client.
Request Body
clientEmailstringRequiredClient's email. Should meet standard email format.
paymentCurrencystringRequiredAsset name + network the client wants to pay with. Values: btc, eth, trc20usdt, usdterc20, sol, ton, usdc, bnb, ltc, trx, bch. Ignored if previously provided during creation.
paymentAmountnumberRequiredAmount entered by the client as a reference of amount to be received in invoiceCurrency. Required for frontend correct work, can have any desirable value for API-only processing.
Additional Response Fields
Fields available after the invoice is filled (not available for "Created" status):
clientEmailstringClient's email.
addressobjectPayment address: id, address, tag (null if not TON), asset, qrCodeURL, qrCodeBase64.
paymentDetailsobjectPayment details object.
expiredAtstringInvoice expiration time. 30 min for all assets, 120 min for BTC.